Name: qsopcast
Version: 0.3.5
Release: alt5

Summary: A QT GUI front-end for the executive of P2P TV sopcast

Group: Video
License: GPL
Url: http://code.google.com/p/qsopcast/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://qsopcast.googlecode.com/files/%name-%version.tar.bz2
Source4: sopcast.xpm
Patch: %name-channel.patch
Patch4: %name-0.3.1-trayicon.patch
Patch5: %name-arg.patch
Patch6: %name-gcc43.patch

# Automatically added by buildreq on Sun Mar 09 2008
BuildRequires: gcc-c++ libalsa-devel libqt3-devel

#Requires: sp-sc >= 1.1.1

%description
qsopcast is a QT GUI front-end for the Linux command line executive of P2P TV sopcast.
If required sp-sc package is missed in your repository,
you can download sp-sc package from ftp://updates.etersoft.ru/pub/Etersoft/BuildFarm/sp-sc

%prep
%setup -q
%patch
# use arg as url
%patch5
%patch6

%build
export PATH=%_qt3dir/bin:$PATH
pushd src
qmake
lrelease qsopcast.pro
%make_build
popd

%install
mkdir -p %buildroot%_bindir
install -m 755 src/qsopcast %buildroot%_bindir/qsopcast
#install -D -m 644 src/language/language_zh.qm %buildroot%_datadir/locale/zh_CN/LC_MESSAGES/language_zh_CN.qm
mkdir -p %buildroot%_pixmapsdir
install -m 644 %SOURCE4 %buildroot%_pixmapsdir/qsopcast.xpm

mkdir -p %buildroot%_desktopdir
cat >%buildroot%_desktopdir/sopcast.desktop <<EOF
[Desktop Entry]
Name=%name
Comment=%summary
Exec=qsopcast
Icon=%name.xpm
Terminal=0
Type=Application
Categories=Application;Multimedia;
EOF

%files
%doc AUTHORS COPYING README
%_bindir/%name
%_pixmapsdir/*
%_desktopdir/*

%changelog
* Wed Sep 30 2009 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt5
- remove sp-sc requires due missed on x86_64

* Sat Jan 10 2009 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt4
- fix sp-sc requires
- cleanup spec

* Wed Nov 05 2008 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt3
- add comment about sp-sc download page
- add strict requires to sp-sc package
- fix build with gcc 4.3

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for qsopcast

* Sun Mar 09 2008 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt1
- new version 0.3.5 (with rpmrb script)

* Sun Mar 09 2008 Vitaly Lipatov <lav@altlinux.ru> 0.3.1-alt1
- initial build for ALT Linux Sisyphus

* Tue Nov 28 2006 Liu Di <liudidi@gmail.com> - 0.2.4-4mgc
- update sp-sc to 1.0.1

* Mon Oct 23 2006 Liu Di <liudidi@gmail.com> - 0.2.4-1mgc
- initial RPM
